Name: publish-acc-to-console 
Version: 0.8
Release: alt1

Summary: Publish web acc URLs on console
License: GPL
Group: System/Configuration/Other
Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>
BuildArch: noarch

Source: %name-%version.tar

Requires: bootsplash fonts-ttf-liberation alterator-net-functions

%description
Publish web acc URLs on console in bootsplash and issue

%prep
%setup

%install
install -D -m755 publish-acc-to-console.init \
	%buildroot%_initdir/%name
install -D -m755 publish-acc-to-console.hook \
	%buildroot/usr/lib/alterator/hooks/net-eth.d/%name
mkdir -p %buildroot/usr/share/locale/ru/LC_MESSAGES
msgfmt -o %buildroot/usr/share/locale/ru/LC_MESSAGES/%name.mo ru.po
%find_lang %name

%post 
%post_service %name

%preun
%preun_service %name

%files -f %name.lang
%_initdir/%name
/usr/lib/alterator/hooks/net-eth.d/%name

%changelog
* Thu Jun 18 2009 Dmitry V. Levin <ldv@altlinux.org> 0.8-alt1
- Fixed ahttpd port detection.
- Cleaned up i18n.

* Wed Jun 17 2009 Stanislav Ievlev <inger@altlinux.org> 0.7-alt1
- print real ahttpd's port

* Thu May 28 2009 Dmitry V. Levin <ldv@altlinux.org> 0.6-alt1
- Fixed i18n.
- Changed start() to switch splash into verbose state.

* Mon Apr 13 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.5-alt1
- quoting of translaged label added 
- bootsplash font size increased

* Fri Apr 10 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.4-alt1
- sourcing of system i18n added 

* Fri Apr 10 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.3-alt1
- hook for net-eth added
- translation added

* Fri Apr 10 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt1
- verbose bootsplash used 

* Fri Apr 10 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt1
- first build 


